GNU bug report logs - #21854
Ediff 2.81.5 of July 4, 2013; unified plain/multi frame behaviour on exit

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Tino Calancha <f92capac@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 21854 <at> debbugs.gnu.org and Tino Calancha <f92capac@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21854 <at> debbugs.gnu.org:


Received: (at 21854) by debbugs.gnu.org; 9 Jun 2022 15:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 11:03:23 2022
Received: from localhost ([127.0.0.1]:47327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzJgw-0006XD-Sn
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 11:03:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzJgu-0006Wu-7k
 for 21854 <at> debbugs.gnu.org; Thu, 09 Jun 2022 11:03:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8SNzBmqgsbrTj7Nh3OpImzWqUpi46RVdXF8BI7Ww9Z4=; b=R48KIXThx9RiWEZGEL14GVueWC
 MjxL9bYqquyBl83aI3X5dMtWycClB3mqgLkuCV2QIRyRzlgDSQZF2VH2Ufy9EPChZU4w4MVmrG1Pc
 Fzn6QkI2Qq+0LDLtjzxgaiwvsEDYjxisgd7uf0hRumGjgmUh00qhZiDBi00FzjzzOyHw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzJgh-0001Pi-Ln; Thu, 09 Jun 2022 17:03:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tino Calancha <f92capac@HIDDEN>
Subject: Re: bug#21854: Ediff 2.81.5 of July 4, 2013; unified plain/multi
 frame behaviour on exit
References: <alpine.LRH.2.20.1511080025270.11665@HIDDEN>
 <8735hfylu9.fsf@HIDDEN>
X-Now-Playing: Farben's _textstar+_: "Beautone (Remaster 2022)"
Date: Thu, 09 Jun 2022 17:03:07 +0200
In-Reply-To: <8735hfylu9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 12 May 2022 14:30:38 +0200")
Message-ID: <87k09p282c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'm not sure
 I quite understand this bug report. Is the issue that > epatch-buffer chooses
 different A/B buffers if you have several frames, > and the A/B buffers are
 in different frames? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21854
Cc: kifer@HIDDEN, 21854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm not sure I quite understand this bug report.  Is the issue that
> epatch-buffer chooses different A/B buffers if you have several frames,
> and the A/B buffers are in different frames?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21854; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21854 <at> debbugs.gnu.org:


Received: (at 21854) by debbugs.gnu.org; 12 May 2022 12:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 08:30:50 2022
Received: from localhost ([127.0.0.1]:39929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np7xx-0003CI-SZ
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 08:30:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1np7xv-000349-Ou
 for 21854 <at> debbugs.gnu.org; Thu, 12 May 2022 08:30:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bYYLQl+1yOBM9bjsu29yF1eXzT20oFSns65sUvhS3Jc=; b=vAkBlFKQspsclePtIWHUlWW2Zo
 KwDAFetuwmOUH5z7RvMC4STH4xZGoXH3fo26uA9a7nSd3bqiHZF0XbhuI0CzTrK0oX+jY/OEo/XOl
 W42tPPnN8Gb+FTfrnJwcrGyjlRllmXVnbM8bGMeCnlQzTyvmAgLdGUSswCJXjHq3heaE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1np7xn-0004co-2B; Thu, 12 May 2022 14:30:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tino Calancha <f92capac@HIDDEN>
Subject: Re: bug#21854: Ediff 2.81.5 of July 4, 2013; unified plain/multi
 frame behaviour on exit
References: <alpine.LRH.2.20.1511080025270.11665@HIDDEN>
X-Now-Playing: Front 242's _Geography_: "Kampfbereit"
Date: Thu, 12 May 2022 14:30:38 +0200
In-Reply-To: <alpine.LRH.2.20.1511080025270.11665@HIDDEN> (Tino
 Calancha's message of "Sun, 8 Nov 2015 00:29:03 +0900 (JST)")
Message-ID: <8735hfylu9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Tino Calancha <f92capac@HIDDEN> writes: > epatch-buffer:
 > > I) on multiframe mode: set current buffer on exit as ediff-buffer-B >
 II) on plain frame mode: set current buffer on exit as ediff-buffer-A > >
 Users using emacs with and without [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21854
Cc: kifer@HIDDEN, 21854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tino Calancha <f92capac@HIDDEN> writes:

> epatch-buffer:
>
> I)  on multiframe mode: set current buffer on exit as ediff-buffer-B
> II) on plain frame mode: set current buffer on exit as ediff-buffer-A
>
> Users using emacs with and without X, keeping the default value
> of ediff-window-setup-function
> will experience I) (emacs with GUI) or II) (emacs without GUI).
>
> Its better if the current buffer is the same regarless on if
> the user is running in plain or multiframe mode.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure I quite understand this bug report.  Is the issue that
epatch-buffer chooses different A/B buffers if you have several frames,
and the A/B buffers are in different frames?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21854; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2015 15:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 07 10:26:02 2015
Received: from localhost ([127.0.0.1]:56989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zv5NS-0004N0-8l
	for submit <at> debbugs.gnu.org; Sat, 07 Nov 2015 10:26:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41406)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NQ-0004Mc-Qy
 for submit <at> debbugs.gnu.org; Sat, 07 Nov 2015 10:26:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NQ-0007RD-2o
 for submit <at> debbugs.gnu.org; Sat, 07 Nov 2015 10:26:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.7 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 MALFORMED_FREEMAIL autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52924)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NP-0007R9-Vi
 for submit <at> debbugs.gnu.org; Sat, 07 Nov 2015 10:25:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51408)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NP-0006oO-5U
 for bug-gnu-emacs@HIDDEN; Sat, 07 Nov 2015 10:25:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NL-0007QZ-7A
 for bug-gnu-emacs@HIDDEN; Sat, 07 Nov 2015 10:25:59 -0500
Received: from calancha-ilc.kek.jp ([130.87.234.234]:36079)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <f92capac@HIDDEN>) id 1Zv5NK-0007QV-TD
 for bug-gnu-emacs@HIDDEN; Sat, 07 Nov 2015 10:25:55 -0500
Received: by calancha-ilc.kek.jp (Postfix, from userid 500)
 id 95C8A7B3B; Sun,  8 Nov 2015 00:29:03 +0900 (JST)
Received: from localhost (localhost [127.0.0.1])
 by calancha-ilc.kek.jp (Postfix) with ESMTP id 85D4D7525;
 Sun,  8 Nov 2015 00:29:03 +0900 (JST)
Date: Sun, 8 Nov 2015 00:29:03 +0900 (JST)
From: Tino Calancha <f92capac@HIDDEN>
X-X-Sender: calancha@HIDDEN
To: kifer@HIDDEN, bug-gnu-emacs@HIDDEN
Subject: Ediff 2.81.5 of July 4, 2013; unified plain/multi frame behaviour
 on exit
Message-ID: <alpine.LRH.2.20.1511080025270.11665@HIDDEN>
User-Agent: Alpine 2.20 (LRH 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Tino Calancha <f92capac@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Congratulations!  You may have unearthed a bug in Ediff!

Please make a concise and accurate summary of what happened
and mail it to the address above.
-----------------------------------------------------------

epatch-buffer:

I)  on multiframe mode: set current buffer on exit as ediff-buffer-B
II) on plain frame mode: set current buffer on exit as ediff-buffer-A

Users using emacs with and without X, keeping the default value
of ediff-window-setup-function
will experience I) (emacs with GUI) or II) (emacs without GUI).

Its better if the current buffer is the same regarless on if
the user is running in plain or multiframe mode.


I have added following function into ediff-quit-hook:

(defun ediff-switch-to-buffer-B-on-exit()
   (with-current-buffer ediff-control-buffer
 	(switch-to-buffer-other-window ediff-buffer-B)))

Im not sure what is the best way to do this.




Emacs  : GNU Emacs 25.0.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.28)
  of 2015-11-07
Package: Ediff 2.81.5 of July 4, 2013





Acknowledgement sent to Tino Calancha <f92capac@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21854; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.